package com.redhat.training.claims;

import java.util.Map;

import org.drools.core.process.instance.WorkItem;
import org.drools.core.process.instance.WorkItemHandler;
import org.jbpm.process.instance.impl.demo.SystemOutWorkItemHandler;

public class ClarificationTaskHandler extends SystemOutWorkItemHandler {
    public void executeWorkItem(WorkItem wi, WorkItemHandler wih) {
        System.out.println("In executeWorkItem()!");

        Map<String, Object> params = wi.getParameters();
        for (String key : params.keySet()) {
            System.out.println("Got parameter: " + key + " of type " + params.get(key).getClass().getName());
        }

        System.out.println("Leaving executeWorkItem()!");
    }
}
